Ask is moving to Stack Overflow and Serverfault.com! Please use the "opendaylight" tag on either of these sites. This site is now in Read-Only mode

Revision history [back]

click to hide/show revision 1
initial version

Missing Constraint: Import-Package: org.opendaylight.controller.statisticsmanager; version="[0.7.0,1.0.0)"

I'm trying to run a bundle using karaf in lithium. I have installed it using bundle:install file:path. Whenever I'm trying to start the bundle I'm getting the error "Error executing command: Error executing command on bundles: Unable to execute command on bundle 64: The bundle "org.opendaylight.controller.mystats_0.1.0 [64]" could not be resolved. Reason: Missing Constraint: Import-Package: org.opendaylight.controller.statisticsmanager; version="[0.7.0,1.0.0)"". I had similar errors previously for sal.core and others. I resolved them by finding out the feature with that package using feature:list | grep sal.core . And then installing the feature which has it. But for feature:list | grep statisticsmanager I'm getting no result. How can I resolve this error ?